@import "fonts.css";
@import "colors.css";
@import "navMenu.css";

html {
    background-color: var(--bg-color);
    font-family: "Perfect DOS VGA 437", serif;
    image-rendering: pixelated;
    height: 100%;
}
a {
    font-weight: bolder;
    color: var(--font-color);
}

body {
    margin: auto;
    color: var(--font-color);
}

footer {
    background-color: green;
    color: var(--navFont-color);
    min-height: 15px;
    padding: 5px 5px 5px 10%;
}

body>h1 {
    color: var(--navFont-color);
    margin-left: 10px;
}
body>.mainContent{
    margin: 10px;
    padding: 0 5%;
}

.mainContent>article{
    background-color: #aaaaaa;
    color: var(--font-color);
    padding: 10px;
    border-radius: 10px;
    margin-bottom: 15px;
    margin: auto;
    max-width: 1100px;
}

body>header {
    display: flex;
    position: sticky;
    top: 0;
    min-height: 30px;
    padding: 10px 5px 0 10%;
    border-bottom: #FFFFFF 1px solid;
    background-color: var(--bg-color);
}

data {
    display: none;
}

p.publishDate {
    font-style: italic;
    margin-top: 0;
}

h2 {
    margin-bottom: 0;
}

iframe {
    width: 300px;
    height: 150px;
}

@media (min-width: 751px) {
    iframe {
        width: 560px;
        height: 315px;
    }
}